{
  "model": {
    "type": "minecraft:select",
    "cases": [
      {
        "model": {
          "type": "minecraft:range_dispatch",
          "property": "minecraft:damage",
          "entries": [
            {
            "threshold": 0.85,
              "model": {
                "type": "minecraft:model",
                "model": "minecraft:item/diamond_spear/diamond_spear_02"
              }
            },
            {
            "threshold": 0.9,
              "model": {
                "type": "minecraft:model",
                "model": "minecraft:item/diamond_spear/diamond_spear_03"
              }
            },
            {
            "threshold": 0.95,
              "model": {
                "type": "minecraft:model",
                "model": "minecraft:item/diamond_spear/diamond_spear_04"
              }
            }
          ],
          "fallback": {
            "type": "minecraft:model",
            "model": "item/diamond_spear"
          }
        },
        "when": [
          "gui",
          "ground",
          "fixed",
          "on_shelf"
        ]
      }
    ],
    "fallback": {
      "type": "minecraft:range_dispatch",
      "property": "minecraft:damage",
      "entries": [
        {
          "threshold": 0.85,
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/diamond_spear/diamond_spear_in_hand_02"
          }
        },
        {
          "threshold": 0.9,
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/diamond_spear/diamond_spear_in_hand_03"
          }
        },
        {
          "threshold": 0.95,
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/diamond_spear/diamond_spear_in_hand_04"
          }
        }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "item/diamond_spear_in_hand"
      }
    },
    "property": "minecraft:display_context"
  },
  "swap_animation_scale": 1.95
}